import { camelize, capitalize, extend, hasOwn, isArray, isObject, isString, looseEqual, isFunction, isPlainObject } from '@vue/shared';
import isUndefined from 'lodash/isUndefined';
import camelCase from 'lodash/camelCase';
import { AnyObject } from './types';
export declare function useGlobalConfig(): any;
export declare function getFileNameByPath(path: string): string;
export declare function dirname(path: string): string;
export declare function removeEmpty(obj: unknown): AnyObject;
export declare function isEmptyObj(obj: unknown): boolean;
export declare const kebabCase: (str: string) => string;
export declare function getObjClassName(obj: AnyObject): string;
export declare function lnglatValidator(longitude: number, latitude: number): boolean;
export declare function defaultValue(a: any, b: any): any;
export declare function inherit(base: any, derived: any): void;
declare const getDefaultOptionByProps: (props: AnyObject, ignores?: Array<string>) => AnyObject;
export { hasOwn, isObject, isPlainObject, isArray, isString, capitalize, camelize, looseEqual, extend, isUndefined, isFunction, camelCase, getDefaultOptionByProps };
